Warm List

POST /public/v1/warmlist/{workspaceId}/prospects/dnc

Add warmlist prospects to the Do Not Contact list by ID or filter.

POST /public/v1/warmlist/{workspaceId}/prospects/dnc

POST /public/v1/warmlist/{workspaceId}/prospects/dnc

curl --request POST \
  --url 'https://api.joinvalley.co/public/v1/warmlist/{WORKSPACEID}/prospects/dnc' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{
  "key": "value"
}'
{
  "statusCode": 1,
  "status": true,
  "message": "<string>",
  "data": {
    "queued": 1
  }
}

Default Response

Authorizations

  • x-api-key string required header

    Your Valley API key.

Path Parameters

  • workspaceId string required

Request Body

application/json
  • prospectIds[] string array

    Specific prospect IDs.

  • selectAll boolean

    Target all prospects matching the filters below.

  • engagementType string

    Required when selectAll is true.

  • monitoredProfileId string

    Only for POST_ENGAGEMENTS.

  • postId string

    Only for POST_ENGAGEMENTS.

  • postEngagementType string

    COMMENT or REACTION.

  • icpFit[] string array
  • profilePrivacy string

    "open" or "closed".

Response

application/json
  • statusCode number
  • status boolean
  • message string
  • data object
    + Show Child Attributes
    • queued number